﻿<AML>
 <Item type="RelationshipType" id="27BADF6E2B6947BBADECB44A947BF414" action="add" dependencyLevel="0">
  <auto_search>1</auto_search>
  <behavior>float</behavior>
  <copy_permissions>0</copy_permissions>
  <create_related>0</create_related>
  <hide_in_all>0</hide_in_all>
  <inc_rel_key_name>1</inc_rel_key_name>
  <inc_related_key_name>1</inc_related_key_name>
  <is_list_type>0</is_list_type>
  <label xml:lang="en">PL Details</label>
  <new_show_related>0</new_show_related>
  <related_notnull>0</related_notnull>
  <related_option>2</related_option>
  <relationship_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">
   <Item type="ItemType" id="065FDAF22456429F862232E671C3C2C5" action="add">
    <allow_private_permission>1</allow_private_permission>
    <auto_search>0</auto_search>
    <enforce_discovery>0</enforce_discovery>
    <hide_where_used>0</hide_where_used>
    <implementation_type>table</implementation_type>
    <instance_data>SOP_PACKING_LIST_DETAILS</instance_data>
    <is_dependent>0</is_dependent>
    <is_relationship>1</is_relationship>
    <is_versionable>0</is_versionable>
    <label xml:lang="en">Packing List Details</label>
    <label_plural xml:lang="en">Packing List Details</label_plural>
    <revisions keyed_name="Default" type="Revision">7FE395DD8B9F4E1090756A34B733D75E</revisions>
    <show_parameters_tab>1</show_parameters_tab>
    <structure_view>tabs on</structure_view>
    <unlock_on_logout>0</unlock_on_logout>
    <use_src_access>1</use_src_access>
    <name>sop_packing_list_details</name>
    <Relationships>
     <Item type="Property" id="D03BF21F8D7146A3981AD88B82B7D4BB" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Box Item</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>1100</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <stored_length>64</stored_length>
      <track_history>0</track_history>
      <name>sop_box_item</name>
     </Item>
     <Item type="Property" id="09253E641BDC46C2B1066AA62E6E2F3E" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">S/N</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>1200</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <stored_length>1000</stored_length>
      <track_history>0</track_history>
      <name>sop_packlist_serialno</name>
     </Item>
     <Item type="Property" id="5381DD0DC7774AA5AE41D336308B3949" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">PO Item</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>1000</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <stored_length>64</stored_length>
      <track_history>0</track_history>
      <name>sop_po_item</name>
     </Item>
     <Item type="Property" id="501560408B144D1C9E828ACDA70071E8" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Base Cost</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>10</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_base_cost</name>
     </Item>
     <Item type="Property" id="647EA6365AB6492AB010C4F9D6C40B6B" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Base Qty</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>3712</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_base_qty</name>
     </Item>
     <Item type="Property" id="A25FAB236A184AB899A11170655AFFB8" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_stock_category">C75439B303A9483BBC4E72A06D784576</data_source>
      <data_type>list</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Category</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>4</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <stored_length>256</stored_length>
      <track_history>0</track_history>
      <name>stk_category</name>
     </Item>
     <Item type="Property" id="1533EC841CBE4320A8BE720D85415379" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_stock_setup" type="ItemType" name="stk_stock_setup">396CF56F5D534625ACD7FD078DC7F1E1</data_source>
      <data_type>item</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>1</is_required>
      <item_behavior>float</item_behavior>
      <label xml:lang="en">Stock Code</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>100</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_code</name>
      <Relationships>
       <Item type="Grid Event" id="7369FF5789A9425BB47BEA97BA2EE9EF" action="add">
        <grid_event>oneditfinish</grid_event>
        <related_id keyed_name="stk_fill_data_on_grid" type="Method">
         <Item type="Method" action="get" select="id">
          <name>stk_fill_data_on_grid</name>
         </Item>
        </related_id>
        <sort_order>128</sort_order>
        <source_id keyed_name="stk_code" type="Property">1533EC841CBE4320A8BE720D85415379</source_id>
       </Item>
      </Relationships>
     </Item>
     <Item type="Property" id="8E35D18911CE4B7483B3BF1FF5367519" action="add">
      <column_alignment>right</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Cost Per UOM</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>9</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_cost</name>
     </Item>
     <Item type="Property" id="CDB4D58504A84A0394860B6068606870" action="add">
      <column_alignment>left</column_alignment>
      <data_type>text</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Description</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>300</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_description</name>
     </Item>
     <Item type="Property" id="414508B230B949B8BCBD2EEB306231E6" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_location" type="ItemType" name="stk_location">08AD4F8A1F5543278FA3B32B00C6E4B5</data_source>
      <data_type>item</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <item_behavior>float</item_behavior>
      <label xml:lang="en">Location</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>400</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_location</name>
     </Item>
     <Item type="Property" id="D4F24289A82C4A0C99E1CAFB726BBA5E" action="add">
      <column_alignment>left</column_alignment>
      <data_type>string</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Operator</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>13</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <stored_length>8</stored_length>
      <track_history>0</track_history>
      <name>stk_operator</name>
     </Item>
     <Item type="Property" id="2DEBC64ECD7C402BB30B25C52AC82038" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">stk_ori_qty</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>4480</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_ori_qty</name>
     </Item>
     <Item type="Property" id="7B885B0E42FC4F1E9D957F70B36AF27B" action="add">
      <column_alignment>left</column_alignment>
      <data_type>text</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Part No.</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>200</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_part_number</name>
     </Item>
     <Item type="Property" id="4246F1FABE2C465FBDE0F619C937FF0E" action="add">
      <column_alignment>right</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Price Per UOM</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>11</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_price</name>
     </Item>
     <Item type="Property" id="164F1B52D9E948C59026519264AA7163" action="add">
      <column_alignment>right</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Quantity</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>0</scale>
      <sort_order>600</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_qty</name>
     </Item>
     <Item type="Property" id="5900CB9D5D7E49FE8061EC2DF2054D3A" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Stock Ratio</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>14</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_ratio</name>
     </Item>
     <Item type="Property" id="A51E0A2A94744934975C30AE6C4CB321" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Reserved qty</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>8</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_reserved</name>
     </Item>
     <Item type="Property" id="84AB2D4C37834121BB10EC897A21B75F" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_sub_category">5E7DE43F02C84B578156007F023BC836</data_source>
      <data_type>filter list</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Sub Category</label>
      <pattern>stk_category</pattern>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>5</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <stored_length>256</stored_length>
      <track_history>0</track_history>
      <name>stk_sub_category</name>
     </Item>
     <Item type="Property" id="A847AA4C0CF94BC1A257DA1166B4F0A1" action="add">
      <column_alignment>right</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">Total Price</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>12</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_total_amount</name>
     </Item>
     <Item type="Property" id="404BC790A7EB429B812F5B87D97A18A1" action="add">
      <column_alignment>left</column_alignment>
      <data_source keyed_name="stk_UOM" type="ItemType" name="stk_UOM">B65CC5CDDD844E4187611193647213AB</data_source>
      <data_type>item</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>0</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <item_behavior>float</item_behavior>
      <label xml:lang="en">UOM</label>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <sort_order>500</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_uom</name>
     </Item>
     <Item type="Property" id="52AD74518C6F43D7A6442AEFEFCB0834" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>1</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">used Qty</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>5504</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>stk_used_qty</name>
     </Item>
     <Item type="Property" id="BDC72BA9CC7846E69DCD849810E3C237" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">xtotal</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>5632</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>xtotal</name>
     </Item>
     <Item type="Property" id="359290122567487F83B35906BA10C2F5" action="add">
      <column_alignment>left</column_alignment>
      <data_type>decimal</data_type>
      <is_hidden>0</is_hidden>
      <is_hidden2>1</is_hidden2>
      <is_indexed>0</is_indexed>
      <is_keyed>0</is_keyed>
      <is_multi_valued>0</is_multi_valued>
      <is_required>0</is_required>
      <label xml:lang="en">ytotal</label>
      <prec>19</prec>
      <range_inclusive>0</range_inclusive>
      <readonly>0</readonly>
      <scale>2</scale>
      <sort_order>5760</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <track_history>0</track_history>
      <name>ytotal</name>
     </Item>
     <Item type="View" id="FCC52423362849F390937B82E4C86C3D" action="add">
      <client>js</client>
      <related_id keyed_name="sop_packing_list_details" type="Form">9469278F8E9D43C5A9D1FBA0DC023D9E</related_id>
      <role keyed_name="World" type="Identity">
       <Item type="Identity" action="get" select="id">
        <name>World</name>
       </Item>
      </role>
      <show_ssvc>0</show_ssvc>
      <sort_order>128</sort_order>
      <source_id keyed_name="sop_packing_list_details" type="ItemType" name="sop_packing_list_details">065FDAF22456429F862232E671C3C2C5</source_id>
      <type>default</type>
     </Item>
    </Relationships>
   </Item>
  </relationship_id>
  <sort_order>100</sort_order>
  <source_id keyed_name="sop_packing_list" type="ItemType" name="sop_packing_list">3EF8190EE6A34F50952A07B940F96123</source_id>
  <name>sop_packing_list_details</name>
 </Item>
</AML>